Skip to content

Get Analysis State

GET
/analyses/{analysis_id}/state

Check the state of a previously queued analysis.

:param analysis_id: ID of analysis.

analysis_id
required
Analysis Id
string
organization_name
Any of:
string
x-originating-user-id
X-Originating-User-Id
string
x-originating-user-organization-name
X-Originating-User-Organization-Name
string

Successful Response

AnalysisStateResponse
object
analysis_id
required
Analysis Id
string
state
required
StateEnum

Enumerates the possible states of resources in the compute service e.g. runs or analyses. The allowed states are: New, Queued, Running, Completed, Failed, Cancelled, Terminated The exact meaning of the state is slightly different between runs and analyses. Runs: New: The run has been created but has not been added to a queue. Queued: The run has been added to a queue. Unauthorized: The run service tried to authorize the run to be queued however encountered a transient error contacting the Authorization service. Running: The run is being executed by a run agent. Out of Credit: The run was attempted to be added to a queue but the run service detected that the user had insufficient credit to perform the run. Completed: The run has executed successfully by a run agent and results have been sent to be stored. Timed out: The run did not complete execution within the maximum time allowed by the Compute Service. Failed: The run could not be executed by a run agent (e.g. there was a package error) or the run returned an error during execution. Cancelled: The user has instructed all queued runs to be prevented from running but running runs continue to execute until completion or failure. Terminated: The user has instructed all queued runs to be prevented from running and execution of running runs is terminated immediately. Analyses: New: The analysis has been created but a queue has not been created for it. Queued: A queue has been created for the analysis and runs are queued on it. Unauthorized: The analysis service tried to authorize the analysis to be queued however encountered a transient error contacting the Authorization service. Running: At least one run belonging to the analysis is in the running state.

Completed: All runs belonging to the analysis have completed.
Failed: At least one run belonging to the analysis is in the failed state.
Cancelled: The user has sent a "cancel" instruction and at least one run belonging to the analysis changed from
        the queued to the cancelled state.
Terminated: The user has sent a "terminate" instruction. All runs belonging to the analysis are stopped or prevented
        from running.
RunsQueued: The run service analysis has runs on its task queue.
NoRunsQueued: The run service analysis has no runs on its task queue.
string
Allowed values: New Unauthorized Queued Running Completed Timed out Out of credit Failed Cancelled Terminated Runs queued No runs queued

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string